<div class="mat-elevation-z1 table-container">
    <div class="header">
        <mat-form-field>
            <input matInput type="text" placeholder="Cerca" (keyup)="filterSocio({search: $event.target.value})">
        </mat-form-field>
        <ng-container *ngIf="mediaService.match('(min-width: 769px)')">
            <button mat-raised-button (click)="isCollapsed = !isCollapsed">{{isCollapsed ? 'Più' : 'Meno'}} filtri</button>
            <div class="collapse-filters" [class.visible]="!isCollapsed">
                <mat-radio-group (change)="filterSocio({assicurazione: $event.value})">
                    <label style="display: block;" class="mat-typography">Assicurazione</label>
                    <mat-radio-button value="ALL" [checked]="true">Tutti</mat-radio-button>
                    <mat-radio-button value="{{insurance.type}}" *ngFor="let insurance of insurances | async">{{insurance.type}}</mat-radio-button>
                </mat-radio-group>
                <mat-radio-group (change)="filterSocio({certificato: $event.value})">
                    <label style="display: block;" class="mat-typography">Certificato</label>
                    <mat-radio-button value="ALL" [checked]="true">Tutti</mat-radio-button>
                    <mat-radio-button value="VALID">Valido</mat-radio-button>
                    <mat-radio-button value="EXPIRED">Scaduto</mat-radio-button>
                </mat-radio-group>
            </div>
        </ng-container>
    </div>
    <mat-table [dataSource]="dataSource" matSort #sss>
        <ng-container matColumnDef="nickname">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Nickname</mat-header-cell>
            <mat-cell *matCellDef="let socio">{{socio.nickname}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="nome">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Nome</mat-header-cell>
            <mat-cell *matCellDef="let socio">{{socio.nome}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="cognome">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Cognome</mat-header-cell>
            <mat-cell *matCellDef="let socio">{{socio.cognome}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="assicurazione">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Assicurazione</mat-header-cell>
            <mat-cell *matCellDef="let socio">{{socio.assicurazione}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="scadenza_certificato">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Scadenza Certificato</mat-header-cell>
            <mat-cell *matCellDef="let socio">{{socio.scadenza_certificato}}</mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="columns"></mat-header-row>
        <mat-row [class.linkable]="canLink" *matRowDef="let socio; columns: columns" (click)="onRowClick(socio)"></mat-row>
    </mat-table>
</div>

<ng-template #loader>
    <div style="display: flex; width: 100%; height: 100%; justify-content: center; align-items: center">
        <mat-spinner [diameter]="40"></mat-spinner>
    </div>
</ng-template>